<div class="container my-4">
  <app-title-card [title]="'Search Study Sets'"></app-title-card>
  <form autocomplete="off" [formGroup]="searchForm">
    <mat-form-field class="form-field-block" appearance="outline" color="accent">
      <mat-label>Search</mat-label>
      <input (input)="handleSearch()" [formControl]="searchForm.get('search')" matInput type="search"
        placeholder="Search study sets" />
      <mat-icon matPrefix>search</mat-icon>
      <mat-error *ngIf="searchForm.invalid">
        {{ getErrorMessage() }}
      </mat-error>
    </mat-form-field>
  </form>
  <div class="study-sets-container">
    <ng-container *ngFor="
        let result of studySets | appFilter: searchForm.get('search').value
      ">
      <app-simple-view-card [title]="result.title" [subtitle]="result.description" [isForSearch]="true"
        [studySet]="result" [actualUserId]="user.id"></app-simple-view-card>
    </ng-container>
  </div>
  <div *ngIf="showImage" class="columns is-desktop is-centered">
    <div class="column is-half">
      <figure class="image is-unselectable has-text-centered">
        <img
          src="https://res.cloudinary.com/dbc1hdxqi/image/upload/v1595902226/athena-project/assets/pngfind.com-cliente-png-5154770_ldidvb.png"
          alt="Search" width="90%" />
      </figure>
    </div>
  </div>
</div>
<ng-template #noResults>
  <h2 class="is-size-2">No results</h2>
</ng-template>
